%define pkg_name        IO-Busy
%define pkg_version     0.0.3
%define rpm_pkg_version 0.0.3
%define rpm_pkg_release 2.n0i.2

Summary:       Intercept terminal input while something else is happening
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl6::Export::Attrs)
BuildRequires: perl(version)


%description
This module exports a single subroutine, named "busy". That subroutine
takes a single argument, which must be a block of code. "busy" forks off a
separate process that intercepts and stores any input, then executes the
block (in the original process). If the user types anything during the
execution of the block, that input does not appear on the STDIN of the
original process. Instead the busy block informs the user that their input
is not being received, and stores the input in a separate filehandle. That
filehandle is then returned by the "busy" call, at the end of the block's
execution, at which time STDIN is reconnected to the process.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Mon Jun 11 2007 Marius Feraru <altblue@n0i.net> - 0.0.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.0.3-1.n0i.1
- version 0.0.3
- initial packaging
